> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 利率快照

> 获取最新利率数据快照



## OpenAPI

````yaml openapi/zh/macro_snapshot.json GET /macro/interest-rates/snapshot
openapi: 3.0.3
info:
  title: Financial Datasets API — Macro Interest Rates
  version: 1.0.0
  description: 中央银行利率数据（历史序列和实时快照），通过 AIsa 代理。
servers:
  - url: https://api.aisa.one/apis/v1/financial
    description: Production API
security:
  - bearerAuth: []
paths:
  /macro/interest-rates/snapshot:
    get:
      summary: 利率（实时）
      description: 获取全球所有主要中央银行的当前利率。
      operationId: getInterestRatesSnapshot
      parameters:
        - name: bank
          in: query
          description: 可选的中央银行代码（例如 FED、ECB、BOJ）。AIsa 也接受不含 `bank` 的此端点请求，并返回所有主要中央银行的最新快照。
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 利率快照响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterestRatesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '402':
          $ref: '#/components/responses/PaymentRequiredError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    InterestRatesResponse:
      type: object
      properties:
        interest_rates:
          type: array
          items:
            $ref: '#/components/schemas/InterestRate'
    InterestRate:
      type: object
      properties:
        bank:
          type: string
          description: 中央银行的符号。
        name:
          type: string
          description: 中央银行的名称。
        rate:
          type: number
          description: 中央银行的利率。
        date:
          type: string
          description: 利率日期，格式为 YYYY-MM-DD。
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: 简短的错误消息。
        message:
          type: string
          description: 更详细的错误消息。
  responses:
    UnauthorizedError:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Unauthorized
            message: Invalid API key provided
    PaymentRequiredError:
      description: 该请求需要付费订阅
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Payment Required
            message: >-
              This endpoint requires a paid subscription. Please upgrade your
              plan.
    NotFoundError:
      description: 未找到指定的资源
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Not Found
            message: Ticker XXXX not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````